Cisco ha confirmado una vulnerabilidad en el decodificador del protocolo Stream Control Transmission (SCTP) de los dispositivos Cisco NetFlow Generation Appliance que podría permitir a un atacante remoto sin autenticar provocar condiciones de denegación de servicio.

Detalle de la vulnerabilidad

  • El problema, con CVE-2017-3826, se debe a una validación incompleta de los paquetes SCTP que se monitorizan en el puerto datos del dispositivo. Un atacante podría aprovechar la vulnerabilidad mediante el envío de paquetes SCTP en una red afectada. Los paquetes direccionados a la IP del propio NGA no provocan el fallo. Un ataque con éxito podría provocar que el dispositivo deje de responder o su reinicio, con la consiguiente condición de denegación de servicio. Podrá ser necesaria la acción del administrador para recuperar el dispositivo mediante el comando reboot en la línea de comandos.

Recursos afectados

  • El problema afecta a los dispositivos Cisco NetFlow Generation Appliances 3140, 3240 y 3340.

Recomendación

  • Cisco ha publicado la versión de software 1.1(1a) que soluciona la vulnerabilidad y que puede descargarse desde https://software.cisco.com/download/navigator.html
  • En Products > Cloud and Systems Management > Routing and Switching Management > NetFlow Generation 3000 Series Appliances.
  • Cisco no ha publicado versión actualizada para NGA 3140 debido a que terminó su soporte en enero de 2014.

Más información:

Fuente: Hispasec

Anuncios